← Back to team overview

ubuntu-touch-coreapps-reviewers team mailing list archive

[Merge] lp:~osomon/ubuntu-calendar-app/autopkgtest into lp:ubuntu-calendar-app

 

Olivier Tilloy has proposed merging lp:~osomon/ubuntu-calendar-app/autopkgtest into lp:ubuntu-calendar-app.

Commit message:
Add autopkgtest to run autopilot tests.

Requested reviews:
  Ubuntu Calendar Developers (ubuntu-calendar-dev)

For more details, see:
https://code.launchpad.net/~osomon/ubuntu-calendar-app/autopkgtest/+merge/298536
-- 
Your team Ubuntu Calendar Developers is requested to review the proposed merge of lp:~osomon/ubuntu-calendar-app/autopkgtest into lp:ubuntu-calendar-app.
=== modified file 'debian/control'
--- debian/control	2016-06-27 18:43:27 +0000
+++ debian/control	2016-06-28 14:52:07 +0000
@@ -15,6 +15,7 @@
 Section: misc
 Homepage: https://launchpad.net/ubuntu-calendar-app
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-calendar-dev/ubuntu-calendar-app/trunk
+XS-Testsuite: autopkgtest
 
 Package: calendar-app
 Architecture: all

=== added directory 'debian/tests'
=== added file 'debian/tests/control'
--- debian/tests/control	1970-01-01 00:00:00 +0000
+++ debian/tests/control	2016-06-28 14:52:07 +0000
@@ -0,0 +1,21 @@
+# Copyright 2015-2016 Canonical
+#
+# This program is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License version 3, as published
+# by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# autopkgtest is a test dependency so we don't need to copy
+# ubuntu-touch-session to the testbed but can use it from autopkgtest instead
+
+Test-Command: /bin/sh -ex debian/tests/touch-session-autopilot calendar_app
+Restrictions: allow-stderr
+Classes: ubuntu-touch
+Depends: calendar-app-autopilot, autopkgtest, python3-evdev, procps, sudo

=== added file 'debian/tests/touch-session-autopilot'
--- debian/tests/touch-session-autopilot	1970-01-01 00:00:00 +0000
+++ debian/tests/touch-session-autopilot	2016-06-28 14:52:07 +0000
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# Copyright 2015-2016 Canonical
+#
+# This program is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License version 3, as published
+# by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# This runs the $1 autopilot suite ensuring that the testbed is configured
+# properly
+
+SUITE=$1
+
+set -e
+
+if ! pgrep -f unity-system-compositor ; then
+   # We're not using Mir, setup enough of an X stack
+
+   # FIXME: We won't need an X stack once Mir provides mirvfb or any other
+   # mean to test consistently on all platforms -- vila 2015-04-22
+   sudo -A ADT_NORMAL_USER=${USER} sh -e /usr/share/autopkgtest/setup-commands/ubuntu-touch-session
+   # Import the environment produced above in the current shell
+   set -a
+   . /etc/environment
+elif pgrep -f unity8 ; then
+   # Work around https://launchpad.net/bugs/1574706
+   initctl --session restart unity8
+   sleep 20
+   gdbus call --session --dest com.canonical.UnityGreeter --object-path / --method com.canonical.UnityGreeter.HideGreeter
+fi
+
+autopilot3 run --verbose --format xml --output "${ADT_ARTIFACTS}/${SUITE}.xml" ${SUITE}


Follow ups